Op deze website gebruiken we cookies om content en advertenties te personaliseren, om functies voor social media te bieden en om ons websiteverkeer te analyseren. Ook delen we informatie over uw gebruik van onze site met onze partners voor social media, adverteren en analyse. Deze partners kunnen deze gegevens combineren met andere informatie die u aan ze heeft verstrekt of die ze hebben verzameld op basis van uw gebruik van hun services. Meer informatie.

Akkoord

Vraag & Antwoord

OS Linux

Java-plugin + Mozilla => problemen

None
21 antwoorden
  • Hoi allemaal,

    Ik probeer al heel lang de Java-plugin onder Mozilla te installeren, als ik dit via de standaard plugin-installer doe van Mozilla en alles volgens het boekje doe d.w.z. afsluiten en opnieuw opstarten e.d. Dan werkt het niet.

    Er staat bij de herkende plugins dan helemaal niets wat ook maar met Java te maken heeft. De gebruikte plugin is bestemd voor Netscape 6.1, als ik de module voor Netscape 4 gebruik dan wordt deze wel herkend, alleen als ik een webpagina bezoek die Java gebruikt verschijnt weer dat pop-up venster dat vraagt of ik Java wil installeren, kortom het wil niet lukken.

    Ik heb ook al plugins van verschillende JRE's geprobeerd, o.a. die van Sun, IBM en Blackdown, geen van allen werkt.

    Heeft iemand hier een oplossing voor, ik zou graag willen dat het werkt onder Linux omdat ik zelf bezig ben met een it-module Java op school…. :D

    Bij voorbaat dank!
  • Je moet een aantal files kopieren vanuit de bin directory van java, naar de plugin dir van mozilla: alle dll's die met NP beginnen, 6 stuks bij 1.41. Zou bij de installatie moeten gebeuren, maar dat schijnt soms mis te gaan. Eea komt overigens ook uitgebreid aan bod op de support pagina's van mozilla.
  • Dank je, ik zal het eens proberen.
  • Helaas, er staan bij mij geen *.dll bestanden in de bin dir van java, ben je hier niet in de war met Windows???

    Er zijn bovendien helemaal geen bestanden die met NP beginnen.
  • Sorry, even te vlug gereageerd, inderdaad windows. Kijk eens of je hier wat aan hebt. eventueel ook de release notes van andere versies bekijken.

    http://www.mozilla.org
    eleases/mozilla1.0.1/#java
  • http://plugindoc.mozdev.org/linux.html#Java

    hier staat exact hoe het moet als je op more information klikt.
    Gewoon ff JRE van Sun installeren en een symlink maken naar de genoemde lib.
    symlinkje maak je met ln -s
  • Helaas, het wekt gewoon niet op die manier.

    Ik ben er achter hoe het komt dat het niet werkt, heb even gezocht op de Gentoo-forums. Het zit namelijk zo dat mijn gehele systeem met GCC 3.2 is gecompiled, alle Java JRE's en JDK's zijn voorgecompiled met GCC 2.9x. Dit levert wat conflicten op.

    Enige oplossing is de source van een JRE vinden en die dan compilen, met GCC 3.2 wel te verstaan :D

    Bedankt voor jullie hulp! Helaas heeft het niet gewerkt :roll:
  • Je kunt JRE niet compileren, JRE is niet open source. Je bent helemaal afhankelijk van Sun. Het enige wat je kunt doen is op je knieen staan en Sun smeken om een nieuwe versie van JRE.
  • Knopper, hebben we het over Gentoo?

    Ik kan het nu niet checken (ben bezig met een verse installatie), maar wat ik mij herrinner is dat ik werd doorgelinkt naar een site van netscape, alwaar ik de plug-in's kon downloaden. Hierbij stond ook een duidelijke instructie waar die ze geplaatst moesten worden.
  • Ja, we hebben het over Gentoo :D

    Toch schijnt compileren met GCC 3.2 de enige oplossing te zijn volgens de Gentoo-forums.

    Vanmiddag zoek ik e.e.a. wel eens uit :wink:
  • In mijn geval betrof het idd nog het gcc 2.9x tijdperk.
  • Ik ben nu bezig met een scriptje wat ik vond op de Gentoo-forums, hopelijk werkt het! :roll:
  • Joepie, het is gelukt. Ik moest het volgende downloaden en installeren:

    http://tristan.halo43.com/files/gentoojava1.4.0.tar.bz2

    Wat een opluchting…. :D


    edit: bespaart jou weer wat zoekwerk water….. :wink:
  • [quote:95e364889a="knopper"]Joepie, het is gelukt. Ik moest het volgende downloaden en installeren:

    http://tristan.halo43.com/files/gentoojava1.4.0.tar.bz2

    Wat een opluchting…. :D


    edit: bespaart jou weer wat zoekwerk water….. :wink:[/quote:95e364889a]

    Hoe heb je het dan gedaan. ik had het zelfde probleem en had dat ook al gevonden, maar als ik het installeer doet ie het nog steeds niet. :(

    Eddy
  • Je moet even de symlink wijzigen die automatisch is aangemaakt, deze verwijst naar een verkeerde directory. Het wordt geinstalleerd in de /opt directory.

    zo werkte het bij mij tenminste :roll:
  • Naar welke precies, want ik heb nu iets van 4 verschillende mappen met java dingen (/opt/java, /opt/blackdown-jdk-1.3.1, /opt/sun-jdk-1.4.0.02 en /opt/sun-jdk-1.4.1.01)
    Ik heb nu alleen die van sun-jdk-1.4.1.01 geprobeerd maar die werkt nog niet.

    Eddy
  • Volgens mij moet je /opt-jdk-1.4.0.02 hebben, het is in ieder geval de dir waarin de volgende dir voorkomt "image-j2sdkxxxxx" xxx: weet ik niet uit mijn hoofd…. :D

    Vervolgens moet je naar de jre/plugin/ns610 directory gaan daar staat de plugin, hiervan maak je een symlink naar /usr/lib/mozilla/plugins

    NIET KOPIEREN DUS!!!!!


    Ik hoop dat het werkt, succes!
  • Ik heb gekeken en de map die er het meest op leek was: /opt/java/j2re1.4.0_02/plugin/i386/ns610/

    Dus heb ik daar vandaan die link gemaakt. Maar hij doet het nog steeds niet :( . Als ik bij Help > About plugins kijk staat ie der wel gewoon tusse. Maar ik krijg nog steeds zo'n scherm van dat je hem moet downloaden.

    eddy
  • Bij mij staat het in deze map:

    /opt/sun-jdk-1.4.0.02/j2sdk-image/jre/plugin/i386/ns610


    Weet je zeker dat je hetzelfde bestand hebt als wat ik aangaf? Duurde het bij jou ook zo'n 2 uur voordat hij compleet geinstalleerd was? Er worden namelijk wat patches e.d. gecompiled en geinstalleerd.
  • Hij doet het :D Bedankt.
    Ik had gewoon niet goed gezocht :oops:

    Eddy

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.